"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var declaration_1 = require("typedoc/dist/lib/utils/options/declaration");
var plugin_1 = require("./plugin");
module.exports = function (PluginHost) {
    var app = PluginHost.owner;
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Suppress file sources from output.',
        name: 'mdHideSources',
        type: declaration_1.ParameterType.Boolean,
    });
    app.options.addDeclaration({
        component: 'markdown',
        help: 'Markdown Plugin: Markdown parser ie: "bitbucket"',
        name: 'mdFlavour',
        type: declaration_1.ParameterType.String,
    });
    app.options.addDeclaration({
        component: 'markdown',
        defaultValue: '',
        help: 'The repository to use for source files (ignored unless markdownFlavour is set)',
        name: 'mdSourceRepo',
        type: declaration_1.ParameterType.String,
    });
    app.converter.addComponent('markdown', plugin_1.MarkdownPlugin);
};
